
Ruby - Bug #4433

parallel_test中workerがrequireのwrong argument type StringIO (expected File) (TypeError)で落ちる

02/23/2011 10:51 PM - sorah (Sorah Fukumori)

Status: Closed   

Priority: Normal   

Assignee: sorah (Sorah Fukumori)   

Target version:    

ruby -v: ruby 1.9.3dev (2011-02-15 trunk 30885)

[x86_64-darwin10.6.0]

Backport:  

Description

=begin

trunkのmake TESTS='-j4 -v'で

TestRDocTopLevel#test_name = 0.08 s = .

/Users/sorah/git/ruby/ruby/lib/rubygems/custom_require.rb:35:in require': wrong argument type StringIO (expected File) (TypeError)

from /Users/sorah/git/ruby/ruby/lib/rubygems/custom_require.rb:35:in require'

from /Users/sorah/git/ruby/ruby/test/readline/test_readline.rb:2:in <top (required)>' from

/Users/sorah/git/ruby/ruby/lib/rubygems/custom_require.rb:35:in require'

from /Users/sorah/git/ruby/ruby/lib/rubygems/custom_require.rb:35:in require' from

/Users/sorah/git/ruby/ruby/lib/test/unit/parallel.rb:105:in run'

from /Users/sorah/git/ruby/ruby/lib/test/unit/parallel.rb:139:in `'

Some worker was crashed. It seems ruby interpreter's bug

or, a bug of test/unit/parallel.rb. try again without -j

option.

make: *** [yes-test-all] Error 1

と例外を吐いて落ちることがあります。require 'readline' で何故こうなるのかよくわかりませんが。

自分のr30939が原因なのかまだわかりませんが、近日中に調査して直します。

-jを付けなければ影響はありません。

=end

Associated revisions

Revision d1a7670b - 06/03/2011 11:48 AM - sorah (Sorah Fukumori)

lib/test/unit/parallel.rb: Keep $stdin, $stdout before run testcase

and restore after run. Because some test break $stdin, $stdout.

Fixes [Bug #4433] [ruby-core:35353]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31910 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/24/2011 02:55 PM - sorah (Sorah Fukumori)

- Status changed from Open to Assigned

=begin

=end

#2 - 06/03/2011 08:48 PM - sorah (Sorah Fukumori)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31910.

Shota, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

lib/test/unit/parallel.rb: Keep $stdin, $stdout before run testcase

and restore after run. Because some test break $stdin, $stdout.

Fixes [Bug #4433] [ruby-core:35353]
